madTools's changes

delphi package - madRes, madTools, madStrings, ...

madTools's changes

Postby ira » Mon Feb 08, 2010 7:08 am

I use 2.5.9.0
Why in madTools.pas, in BDS7 there is "2009-07-14 1.2v added osWin2008, osWin7, osWin2008r2" but not in BDS4.

Edit:
After I checked all unit, can I use latest version of your units (located in BDS7) if I use D2007?
ira
 
Posts: 49
Joined: Mon Dec 14, 2009 6:29 am

Postby madshi » Wed Feb 10, 2010 10:50 pm

Hello,

I'm slightly confused. The source code should be the same for all Delphi/BDS versions. Maybe you manually copied madTools.pas to another folder at some time in the past? If you're not sure, I'd suggest to do a cleanup like this:

(1) Uninstall madCollection.
(2) Search harddisk and registry for mad*.* and delete all that belongs to madCollection.
(3) Start Delphi, just to make sure that there are no complaints and no traces left of madCollection.
(4) Stop Delphi and reinstall madCollection.

Done. Now all Delphi/BDS versions should use the same madTools.pas version.
madshi
Site Admin
 
Posts: 9432
Joined: Sun Mar 21, 2004 5:25 pm


Return to madBasic

Who is online

Users browsing this forum: No registered users and 1 guest